#
# spec file for package postgresql-pl (Version 8.2.14)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           postgresql-pl
BuildRequires:  krb5-devel openssl-devel pam-devel python-devel tcl-devel zlib-devel
Summary:        The PL/Tcl, PL/Perl, and PL/Python Procedural Languages for PostgreSQL
Version:        8.2.14
Release:        0.<RELEASE1>
License:        BSD 3-Clause
Group:          Productivity/Databases/Servers
Source0:        postgresql-%version.tar.bz2
NoSource:       0
Url:            http://www.postgresql.org/
Requires:       postgresql-server = 8.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define pls plperl plpython tcl

%description
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, and user-defined
types and functions.

This package contains the PL/Tcl, PL/Perl, and PL/Python procedural
languages for PostgreSQL.  With these modules one can use Perl, Python,
and Tcl to write stored procedures, functions, and triggers.

PostgreSQL also offers the built-in procedural language PL/SQL which is
included in the postgresql-server package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%package -n postgresql-plperl
License:        X11/MIT
Summary:        The PL/Tcl, PL/Perl, and  PL/Python procedural languages for PostgreSQL
Group:          Productivity/Databases/Servers
Obsoletes:      postgresql-pl
Provides:       postgresql-pl:%_libdir/postgresql/plperl.so
Requires:       perl
Requires:       postgresql-server = 8.2

%description -n postgresql-plperl
This package contains the the PL/Tcl, PL/Perl, and PL/Python procedural
languages for the back-end.  With these modules one can use Perl,
Python, and Tcl to write stored procedures, functions and triggers.

PostgreSQL also offers the builtin procedural language PL/SQL.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%package -n postgresql-plpython
License:        BSD 3-Clause
Summary:        The PL/Python Procedural Languages for PostgreSQL
Group:          Productivity/Databases/Servers
Obsoletes:      postgresql-pl
Provides:       postgresql-pl:%_libdir/postgresql/pltcl.so
Requires:       python
Requires:       postgresql-server = 8.2

%description -n postgresql-plpython
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, and user-defined
types and functions.

This package contains the PL/Python procedural language for PostgreSQL.
With this module one can use Python to write stored procedures,
functions, and triggers.

PostgreSQL also offers the built-in procedural language PL/SQL which is
included in the postgresql-server package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%package -n postgresql-pltcl
License:        BSD 3-Clause
Summary:        PL/Tcl Procedural Language for PostgreSQL
Group:          Productivity/Databases/Tools
Obsoletes:      postgresql-pl
Provides:       postgresql-pl:%_libdir/postgresql/plpython.so
Requires:       tcl
Requires:       postgresql-server = 8.2

%description -n postgresql-pltcl
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, and user-defined
types and functions.

This package contains the PL/Tcl procedural language for PostgreSQL. 
With thie module one can use Tcl to write stored procedures, functions,
and triggers.

PostgreSQL also offers the built-in procedural language PL/SQL which is
included in the postgresql-server package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%prep
# The sources for the postgresql-pl package can be found
# in the postgresql source RPM.
%setup -q -n postgresql-%{version}

%build
#autoconf
export CFLAGS="%optflags"
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--bindir=%_bindir \
	--includedir=%_includedir/pgsql \
	--datadir=%_datadir/postgresql \
	--mandir=%_mandir \
	--with-docdir=%_docdir \
	--enable-nls \
	--enable-thread-safety \
        --enable-thread-safety-force \
	--enable-integer-datetimes \
	--without-readline \
	--with-python \
	--with-perl \
	--with-tcl \
	--without-tk \
	--with-tclconfig=%_libdir \
	--with-openssl \
	--with-pam \
%if %suse_version < 1000
	--with-includes="/usr/include/heimdal /usr/include/et" \
%endif
	--with-krb5 
# needed for plperl
make -C src/backend ../../src/include/utils/fmgroids.h
for f in %pls; do
	make %{?jobs:-j%jobs} -C src/pl/$f all
done

%install
for f in %pls; do
	make DESTDIR=%buildroot -C src/pl/$f install
done

%clean
rm -rf %buildroot

%files -n postgresql-pltcl
%defattr(-,root,root)
%dir %_libdir/postgresql
%_libdir/postgresql/pltcl.so
%_datadir/postgresql
%_bindir/pltcl*

%files -n postgresql-plperl
%defattr(-,root,root)
%dir %_libdir/postgresql
%_libdir/postgresql/plperl.so

%files -n postgresql-plpython
%defattr(-,root,root)
%dir %_libdir/postgresql
%_libdir/postgresql/plpython.so

%changelog
